- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
pdftron::PDF::ConversionMonitor Class Reference

`#include <Convert.h>`

## Public Member Functions
bool | Next ()
bool | Ready ()
UInt32 | Progress ()
Filters::Filter | Filter ()
| ConversionMonitor ()
void | Destroy ()
| ~ConversionMonitor ()
| ConversionMonitor (const ConversionMonitor &copy)
ConversionMonitor & | operator= (const ConversionMonitor &other)
| operator bool ()
| ConversionMonitor (TRN_ConversionMonitor impl, bool is_owner)

## Public Attributes
TRN_ConversionMonitor | mp_impl
bool | m_owner

## Detailed Description

Definition at line 27 of file Convert.h.

## Constructor & Destructor Documentation

pdftron::PDF::ConversionMonitor::ConversionMonitor | ( |  | ) |

pdftron::PDF::ConversionMonitor::~ConversionMonitor | ( |  | ) |

pdftron::PDF::ConversionMonitor::ConversionMonitor | ( | const ConversionMonitor & | copy | ) |

pdftron::PDF::ConversionMonitor::ConversionMonitor | ( | TRN_ConversionMonitor | impl,
|  | bool | is_owner
| ) |  |

## Member Function Documentation

void pdftron::PDF::ConversionMonitor::Destroy | ( |  | ) |

Filters::Filter pdftron::PDF::ConversionMonitor::Filter | ( |  | ) |

bool pdftron::PDF::ConversionMonitor::Next | ( |  | ) |

pdftron::PDF::ConversionMonitor::operator bool | ( |  | ) |
| inline

Returns
  true if the object is not null, false otherwise.

Definition at line 43 of file Convert.h.

ConversionMonitor& pdftron::PDF::ConversionMonitor::operator= | ( | const ConversionMonitor & | other | ) |

UInt32 pdftron::PDF::ConversionMonitor::Progress | ( |  | ) |

bool pdftron::PDF::ConversionMonitor::Ready | ( |  | ) |

## Member Data Documentation

bool pdftron::PDF::ConversionMonitor::m_owner

Definition at line 47 of file Convert.h.

TRN_ConversionMonitor pdftron::PDF::ConversionMonitor::mp_impl

Definition at line 45 of file Convert.h.

The documentation for this class was generated from the following file:

- PDF/Convert.h